## gate.swing
Class TableMap

    java.lang.Object
      |
      +--javax.swing.table.AbstractTableModel
            |
            +--gate.swing.TableMap

All Implemented Interfaces:
  EventListener, Serializable, TableModel, TableModelListener

public class TableMap
extends AbstractTableModel
implements TableModelListener

In a chain of data manipulators some behaviour is common. TableMap provides most of this behavour and can be subclassed by filters that only need to override a handful of specific methods. TableMap implements TableModel by routing all requests to its model, and TableModelListener by routing all events to its listeners. Inserting a TableMap which has not been subclassed into a chain of table filters should have no effect.

See Also:
  Serialized Form

Constructor Summary
`TableMap()`

Method Summary
`Class` `getColumnClass(int aColumn)`
`int` `getColumnCount()`
`String` `getColumnName(int aColumn)`
`TableModel` `getModel()`
`int` `getRowCount()`
`Object` `getValueAt(int aRow, int aColumn)`
`boolean` `isCellEditable(int row, int column)`
`void` `setModel(TableModel model)`
`void` `setValueAt(Object aValue, int aRow, int aColumn)`
`void` `tableChanged(TableModelEvent e)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableMap

    public TableMap()

Method Detail

### getModel

    public TableModel getModel()

### setModel

    public void setModel(TableModel model)

### getValueAt

    public Object getValueAt(int aRow,
                             int aColumn)

  Overrides:
    `getValueAt` in class `AbstractTableModel`

### setValueAt

    public void setValueAt(Object aValue,
                           int aRow,
                           int aColumn)

  Overrides:
    `setValueAt` in class `AbstractTableModel`

### getRowCount

    public int getRowCount()

  Overrides:
    `getRowCount` in class `AbstractTableModel`

### getColumnCount

    public int getColumnCount()

  Overrides:
    `getColumnCount` in class `AbstractTableModel`

### getColumnName

    public String getColumnName(int aColumn)

  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getColumnClass

    public Class getColumnClass(int aColumn)

  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### isCellEditable

    public boolean isCellEditable(int row,
                                  int column)

  Overrides:
    `isCellEditable` in class `AbstractTableModel`

### tableChanged

    public void tableChanged(TableModelEvent e)

  Specified by:
    `tableChanged` in interface `TableModelListener`